Get Source Events
curl --request GET \
--url https://api.pipedream.com/v1/sources/{id}/event_summaries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipedream.com/v1/sources/{id}/event_summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pipedream.com/v1/sources/{id}/event_summaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.pipedream.com/v1/sources/{id}/event_summaries")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/sources/{id}/event_summaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Get source events
GET
/
sources
/
{id}
/
event_summaries
Get Source Events
curl --request GET \
--url https://api.pipedream.com/v1/sources/{id}/event_summaries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipedream.com/v1/sources/{id}/event_summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pipedream.com/v1/sources/{id}/event_summaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.pipedream.com/v1/sources/{id}/event_summaries")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/sources/{id}/event_summaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Retrieve up to the last 100 events emitted by a source.
Pass
Endpoint
GET /sources/{id}/event_summaries
Notes and Examples
The event data for events larger than1KB may get truncated in the response. If you’re processing larger events, and need to see the full event data, pass ?expand=event:
GET /sources/{id}/event_summaries?expand=event
?limit=N to retrieve the last N events:
GET /sources/{id}/event_summaries?limit=10
Was this page helpful?
⌘I